SqlParameterValue (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.jdbc.core

## Class SqlParameterValue

- java.lang.Object
- - org.springframework.jdbc.core.SqlParameter
  - - org.springframework.jdbc.core.SqlParameterValue

-     public class SqlParameterValue
      extends SqlParameter

  Object to represent a SQL parameter value, including parameter metadata such as the SQL type and the scale for numeric values.

  Designed for use with `JdbcTemplate`'s operations that take an array of argument values: Each such argument value may be a `SqlParameterValue`, indicating the SQL type (and optionally the scale) instead of letting the template guess a default type. Note that this only applies to the operations with a 'plain' argument array, not to the overloaded variants with an explicit type array.

  Since:
    2.0.5
  Author:
    Juergen Hoeller
  See Also:
    `Types`, `JdbcTemplate.query(String, Object[], ResultSetExtractor)`, `JdbcTemplate.query(String, Object[], RowCallbackHandler)`, `JdbcTemplate.query(String, Object[], RowMapper)`, `JdbcTemplate.update(String, Object[])`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SqlParameterValue(int sqlType, int scale, Object value)` Create a new SqlParameterValue, supplying the SQL type.
    `SqlParameterValue(int sqlType, Object value)` Create a new SqlParameterValue, supplying the SQL type.
    `SqlParameterValue(int sqlType, String typeName, Object value)` Create a new SqlParameterValue, supplying the SQL type.
    `SqlParameterValue(SqlParameter declaredParam, Object value)` Create a new SqlParameterValue based on the given SqlParameter declaration.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getValue()` Return the value object that this parameter value holds.

    - ### Methods inherited from class org.springframework.jdbc.core.SqlParameter

      `getName, getScale, getSqlType, getTypeName, isInputValueProvided, isResultsParameter, sqlTypesToAnonymousParameterList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SqlParameterValue

          public SqlParameterValue(int sqlType,
                           Object value)

      Create a new SqlParameterValue, supplying the SQL type.
      Parameters:
        `sqlType` - SQL type of the parameter according to `java.sql.Types`
        `value` - the value object

    - #### SqlParameterValue

          public SqlParameterValue(int sqlType,
                           String typeName,
                           Object value)

      Create a new SqlParameterValue, supplying the SQL type.
      Parameters:
        `sqlType` - SQL type of the parameter according to `java.sql.Types`
        `typeName` - the type name of the parameter (optional)
        `value` - the value object

    - #### SqlParameterValue

          public SqlParameterValue(int sqlType,
                           int scale,
                           Object value)

      Create a new SqlParameterValue, supplying the SQL type.
      Parameters:
        `sqlType` - SQL type of the parameter according to `java.sql.Types`
        `scale` - the number of digits after the decimal point (for DECIMAL and NUMERIC types)
        `value` - the value object

    - #### SqlParameterValue

          public SqlParameterValue(SqlParameter declaredParam,
                           Object value)

      Create a new SqlParameterValue based on the given SqlParameter declaration.
      Parameters:
        `declaredParam` - the declared SqlParameter to define a value for
        `value` - the value object

  - ### Method Detail

    - #### getValue

          public Object getValue()

      Return the value object that this parameter value holds.